petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetCostGradients

Returns the gradients from the TSAdjointSolve()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetCostGradients(TS ts,PetscInt *numcost,Vec **lambda,Vec **mu)

Not Collective, but Vec returned is parallel if TS is parallel Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

### Output Parameter

| lambda | - vectors containing the gradients of the cost functions with respect to the ODE/DAE solution variables Many br
| mu | - vectors containing the gradients of the cost functions with respect to the problem parameters Many br

Many br

### See Also

TSGetTimeStep()

### Keywords

TS, timestep, get, sensitivity

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages